
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商审核信息DTO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierAuditingDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商审核id")
    private Long supplierAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "供应商类型1自营店 2普通店")
    private Integer supplierType;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 平台下线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    public Date getContractStartTime() {
        return contractStartTime;
    }

    public void setContractStartTime(Date contractStartTime) {
        this.contractStartTime = contractStartTime;
    }

    public Date getContractEndTime() {
        return contractEndTime;
    }

    public void setContractEndTime(Date contractEndTime) {
        this.contractEndTime = contractEndTime;
    }

    public Integer getSupplierType() {
        return supplierType;
    }

    public void setSupplierType(Integer supplierType) {
        this.supplierType = supplierType;
    }

    public Long getSupplierAuditingId() {
        return supplierAuditingId;
    }

    public void setSupplierAuditingId(Long supplierAuditingId) {
        this.supplierAuditingId = supplierAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SupplierAuditingDTO{" +
                "supplierAuditingId=" + supplierAuditingId +
                ", userId=" + userId +
                ", supplierId=" + supplierId +
                ", auditorId=" + auditorId +
                ", supplierType=" + supplierType +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", contractStartTime=" + contractStartTime +
                ", contractEndTime=" + contractEndTime +
                '}';
    }
}
